<?
$title = $this->title;
$form = $this->Form;

$title->elem('a')->href('#')->cssClass('slideDown')->name($this->Language('Insert'));
$title->create($this->Language('{title}'));

?>

<form method="post" class="slideDownBox">
<table class="header">
<?
$columns = array({columns});
$form->input($columns);
$form->trHeaderList($columns);
?>
</table>
</form>


<form method="post">
<table class="content">
<?
$columns = array({columns}, 'update,cancel' => '');
$form->trHeader($columns);
while($row = $this->{mysql_table}->Assoc()){


	if($_GET['action'] == 'edit' && $_GET['id'] == $row['id']){

		$form->input($columns);
		$form->update(array('type=submit', 'value='.$this->Language('Update')));
		$form->cancel(array('href='.$this->Link(), 'value='.$this->Language('Cancel')));

		$form->tr($columns, $row);
	}
	else{

		$form->tr($columns, $row);
	}
}
?>
</table>
</form>